<%@ page language="java" import="java.util.*" pageEncoding="utf-8"%>
<%@ taglib uri="/struts-tags" prefix="s" %>

<html>
  <head>
    <title></title>

   <%--  富客户端环境引用文件  --%> 
<%@ include file="/gaowj/header-simple-1.0.jsp"%>
  </head>
  <body>
  <%@ include file="menuoperate.jsp"%>
  <form name="m" method="post" action="module_save">
  <input name="method" type="hidden" value="<s:property value='#parameters.method[0]'/>"/>
  <input name="myzd_id" type="hidden" value="<s:property value='#parameters.myzd_id[0]'/>"/>
  <input name="pageNo" type="hidden" value="<s:property value='#parameters.pageNo'/>"/>
  <input name="pageSize" type="hidden" value="<s:property value='#parameters.pageSize'/>"/>
  <table  width="680" border="0" cellpadding="0" cellspacing="1" bgcolor="#999999">
    <tr bgcolor="#c0c0c0" class="clickable_t">
      <td align="left" colspan="2">&nbsp;&nbsp;功能窗口--编辑</td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="62" align="center">编码</td>
      <td width="615">
       <input name="FIELD_M_ID" type="text" <s:if test='#parameters.method[0]=="update"'>readonly style="background:#c0c0c0;"</s:if>  value="<s:property value="editdata['M_ID']"/>"/>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
    <td align="center">功能窗口</td>
    <td>
      <input name="FIELD_M_NAME" type="text"   maxlength="100" style="width:500px;" value="<s:property value="editdata['M_NAME']"/>"/>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">注释</td>
    <td>
     <input name="FIELD_M_TITLE" type="text"   maxlength="100" style="width:500px;" value="<s:property value="editdata['M_TITLE']"/>"/>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">功能类别</td>
    <td>
     <input name="FIELD_M_MENU" type="text"   maxlength="50" style="width:500px;" value="<s:property value="editdata['M_MENU']"/>"/>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">上级模块</td>
    <td>
     <select name="FIELD_MT_ID">
          <s:iterator value="moduletype" var="mtype">
          <option value="<s:property value="#mtype.MT_ID"/>"  <s:if test="#mtype.MT_ID==editdata['MT_ID']">selected</s:if> >
              <s:property value="#mtype.MT_NAME"/>
          </option>
         </s:iterator>
     </select>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">排序</td>
    <td>
     <input name="FIELD_M_SORT" onblur="cknum(this.name);" type="text" style="width:50px;" value="<s:property value="editdata['M_SORT']"/>" maxlength="4"/>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">是否有效</td>
    <td>
     <select name="FIELD_M_STATE">
          <option value="0" <s:if test="editdata['M_STATE'==0]">selected</s:if>>有效</option>
          <option value="1" <s:if test="editdata['M_STATE'==1]">selected</s:if>>失效</option>
     </select>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">窗口地址</td>
    <td>
     <input name="FIELD_WINDOWNAME_WEB" type="text"   maxlength="300" style="width:500px;" value="<s:property value="editdata['WINDOWNAME_WEB']"/>"/>
    </td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="center">窗口图片</td>
    <td>
     <input name="FIELD_WINDOWPIC" type="text"   maxlength="300" style="width:500px;" value="<s:property value="editdata['WINDOWPIC']"/>"/>
     <span class="<s:property value="editdata['WINDOWPIC']"/>">&nbsp;&nbsp;&nbsp;&nbsp;</span>
    </td>
  </tr>
  </table>
  </form>
  </body>
  <script type="text/javascript">
    document.getElementById("g_list").style.display='none';
    document.getElementById("g_password").style.display='none';
    document.getElementById("g_add").style.display='none';
    document.getElementById("g_open").style.display='none';
    document.getElementById("g_copy").style.display='none';
    document.getElementById("g_delete").style.display='none';
    document.getElementById("g_preview").style.display='none';
    document.getElementById("g_taoda").style.display='none';
    document.getElementById("g_refresh").style.display='none';
    document.getElementById("g_save").style.display='';
    document.getElementById("g_return").style.display='none';
    document.getElementById("g_groupCmodule").style.display='none';
    document.getElementById("g_groupCuser").style.display='none';
    document.getElementById("g_userCuser").style.display='none';
    var ls_code;
    var ls_old,ls_new
    var page="<s:property value='pageNo'/>";
    var pageSize="<s:property value='pageSize'/>";
    function ls_choice(ls_current){
     if(ls_old!=null){
       ls_old.checked=false;
     }
     ls_new = document.getElementById(ls_current);
     ls_new.checked=true;
     ls_old = ls_new;
    }
   
    function g_preview(){
      alert("预览!");
    }
    
    function g_save(){
     document.all.item('m').submit();
     alert("已保存!");
    }
    function g_return(){
     window.location="module_grid?pageNo="+page+"&pageSize="+pageSize;
    }
    function cknum(pname){
	 var ck=document.all.item(pname).value;
	 var ck_gz=new RegExp("^[0-9]*$");
	 if(ck_gz.test(ck)==false){
	  alert('请输入数字!');
	  document.all.item(pname).focus();
	  document.all.item(pname).value='';
	  return false;
	 }
	 else 
	  return true;
}
  </script>
</html>
